#ifndef CAPTURE_H
#define CAPTURE_H

#define FIFO_MAX 64

struct FIFO {
    char *name;
    unsigned char *data[FIFO_MAX];
    unsigned int  size[FIFO_MAX];
    int slots,read,write,eof;
    pthread_mutex_t lock;
    pthread_cond_t hasdata;
};

void fifo_init(struct FIFO *fifo, char *name, int slots);
int fifo_put(struct FIFO *fifo, unsigned char *data, int size);
int fifo_get(struct FIFO *fifo, unsigned char **data);

int avi_init_writer(char *filename, struct MOVIE_PARAMS *params,
		    int slots, int *sound);
int avi_start_writer(void);
int avi_stop_writer(void);

int generic_init_writer(void* (*video_writer)(void *arg),
			int format, int *width, int *height, int slots);
int generic_start_writer(int fps);
int generic_stop_writer(void);

int grab_put_video(void);
int grab_put_audio(void);

#endif /* CAPTURE_H */
