%define		prefix	/usr/X11R6

# workaround a bug in rpm 3.0.4:
#   by default it modifies the files installed by my %install
#   scriptlet (compresses the man-pages), but failes to update
#   the %files section too.
%define __os_install_post       true

Summary: Video4Linux Stream Capture Viewer
Name: xawtv
Version: 3.24
Release: 1
Source0: xawtv_%{version}.tar.gz
Group: X11/Applications
Copyright: GNU GENERAL PUBLIC LICENSE
URL: http://www.in-berlin.de/User/kraxel/v4l/xawtv-%{version}.tar.gz
Vendor: Gerd Knorr <kraxel@goldbach.in-berlin.de>
BuildRoot: /var/tmp/xawtv-%{version}.root

%package radio
Summary: radio
Group: Applications/Sound

%package misc
Summary: misc
Group: X11/Applications

%package webcam
Summary: webcam
Group: Graphics

%package -n alevtd
Summary: alevtd
Group: Applications/Internet

%description
A collection tools for video4linux:
 * xawtv    - X11 TV application
 * fbtv     - console TV application
 * streamer - capture tool (images / movies)
 * v4lctl   - command line tool to control v4l devices

%description radio
This is a ncurses-based radio application

%description misc
This package has a few tools you might find useful.  They
have not to do very much to do with xawtv.  I've used/wrote
them for debugging:
 * propwatch   - monitors properties of X11 windows.  If you
                 want to know how to keep track of xawtv's
                 _XAWTV_STATION property, look at this.
 * dump-mixers - dump mixer settings to stdout
 * record      - console sound recorder.  Has a simple input
                 level meter which might be useful to trouble
                 shoot sound problems.
 * showriff    - display the structure of RIFF files (avi, wav).

%description webcam
webcam captures images from a video4linux device like bttv,
annotates them and and uploads them to a webserver using ftp
in a endless loop.

%description -n alevtd
http daemon which serves videotext pages as HTML.

%prep
%setup

%build
mkdir build
cd build
CFLAGS="$RPM_OPT_FLAGS" ../configure --prefix=%{prefix}
make

%install
cd build
make ROOT="$RPM_BUILD_ROOT" SUID_ROOT="" install

%files
%attr(4711,root,root) %{prefix}/bin/v4l-conf
%defattr(-,root,root)
%{prefix}/bin/fbtv
%{prefix}/bin/streamer
%{prefix}/bin/xawtv-remote
%{prefix}/bin/xawtv
%{prefix}/bin/v4lctl
%{prefix}/bin/rootv
%{prefix}/bin/scantv
%{prefix}/man/man1/fbtv.1
%{prefix}/man/man1/xawtv.1
%{prefix}/man/man1/xawtv-remote.1
%{prefix}/man/man1/rootv.1
%{prefix}/man/man1/v4l-conf.1
%{prefix}/man/man1/v4lctl.1
/etc/X11/app-defaults/Xawtv
#/usr/X11R6/lib/X11/app-defaults/Xawtv
/usr/X11R6/lib/X11/fonts/misc/*
%doc README Changes COPYING Programming-FAQ Trouble-Shooting Sound-FAQ
%doc README.* UPDATE_TO_v3.0
%doc contrib/dot.lircrc contrib/frequencies*

%files radio
%defattr(-,root,root)
%{prefix}/bin/radio
%{prefix}/man/man1/radio.1

%files misc
%defattr(-,root,root)
%{prefix}/bin/dump-mixers
%{prefix}/bin/propwatch
%{prefix}/bin/record
%{prefix}/bin/showriff
%{prefix}/man/man1/propwatch.1
%{prefix}/man/man1/showriff.1
%doc tools/README

%files webcam
%defattr(-,root,root)
%{prefix}/bin/webcam
%{prefix}/man/man1/webcam.1
%doc webcam/webcam.cgi

%files -n alevtd
%defattr(-,root,root)
%{prefix}/bin/alevtd
%{prefix}/man/man1/alevtd.1

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd /usr/X11R6/lib/X11/fonts/misc
mkfontdir
xset fp rehash || true
